<?php
/**
 * @version		$Id: helper.php 1492 2012-02-22 17:40:09Z joomlaworks@gmail.com $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class modJAK2TimelineHelper {

	public static function getArchive(&$params) {

		$mainframe = JFactory::getApplication();
		$user = JFactory::getUser();
		$aid = (int) $user->get('aid');
		$db = JFactory::getDBO();

		$jnow = JFactory::getDate();
		$now = $jnow->toSql();
		$nullDate = $db->getNullDate();

		$query = "
			SELECT DISTINCT MONTH(created) as m, YEAR(created) as y 
			FROM #__k2_items  
			WHERE 
				published=1 AND ( publish_up = ".$db->Quote($nullDate)." OR publish_up <= ".$db->Quote($now)." ) 
				AND ( publish_down = ".$db->Quote($nullDate)." OR publish_down >= ".$db->Quote($now)." ) 
				AND trash=0";
		$query .= " AND access IN(".implode(',', $user->getAuthorisedViewLevels()).") ";
		if($mainframe->getLanguageFilter()) {
			$languageTag = JFactory::getLanguage()->getTag();
			$query .= " AND language IN (".$db->Quote($languageTag).", ".$db->Quote('*').") ";
		}

		$k2params = K2HelperUtilities::getParams('com_k2');
		$catid = $k2params->get('categories', array());
		if (is_array($catid) && count($catid)) {

				if ($params->get('catCatalogMode') == 0) {
						$catid = K2ModelItemlist::getCategoryTree($catid);
				}
		}
		
		if (count($catid)) {
			$catquery = "
				SELECT id 
				FROM #__k2_categories
				WHERE 
					published=1
					AND id IN (".implode(',', $catid) .")";
					
			$db->setQuery($catquery);
			$catid = $db->loadColumn();
		}
		
		if (count($catid)) {
			$query .= " AND catid IN (".implode(',', $catid) .")";
		} else {
			$query .= "";
		}

		$query .= " ORDER BY created DESC";

		$db->setQuery($query);
		$rows = $db->loadObjectList();
		$months = array(JText::_('K2_JANUARY'), JText::_('K2_FEBRUARY'), JText::_('K2_MARCH'), JText::_('K2_APRIL'), JText::_('K2_MAY'), JText::_('K2_JUNE'), JText::_('K2_JULY'), JText::_('K2_AUGUST'), JText::_('K2_SEPTEMBER'), JText::_('K2_OCTOBER'), JText::_('K2_NOVEMBER'), JText::_('K2_DECEMBER'), );
		if (count($rows)) {
			$displayCount = $params->get('display_counter');
			
			foreach ($rows as $row) {
//				if ($displayCount && count($catid)) {
					$row->numOfItems = modJAK2TimelineHelper::countArchiveItems($row->m, $row->y, $catid);
//				} else {
//					$row->numOfItems = '';
//				}
				$row->name = $months[($row->m) - 1];
				$archives[] = $row;
			}

			return $archives;
		}
	}
	
	public static function countArchiveItems($month, $year, $catid = array()) {

		$mainframe = JFactory::getApplication();
		$user = JFactory::getUser();
		$aid = (int) $user->get('aid');
		$month = (int) $month;
		$year = (int) $year;
		$db = JFactory::getDBO();

		$jnow = JFactory::getDate();
		$now = $jnow->toSql();
		$nullDate = $db->getNullDate();

		$query = "
			SELECT COUNT(*) FROM #__k2_items 
			WHERE 
				MONTH(created)={$month} 
				AND YEAR(created)={$year} 
				AND published=1 
				AND ( publish_up = ".$db->Quote($nullDate)." OR publish_up <= ".$db->Quote($now)." ) 
				AND ( publish_down = ".$db->Quote($nullDate)." OR publish_down >= ".$db->Quote($now)." ) 
				AND trash=0 ";
		$query .= " AND access IN(".implode(',', $user->getAuthorisedViewLevels()).") ";
		if($mainframe->getLanguageFilter()) {
			$languageTag = JFactory::getLanguage()->getTag();
			$query .= " AND language IN (".$db->Quote($languageTag).", ".$db->Quote('*').") ";
		}
		if (count($catid)) {
			$query .= " AND catid IN (".implode(',', $catid) .")";
		}
		$db->setQuery($query);
		$total = $db->loadResult();
		return $total;

	}
}
