<?php
/**
 * @version		$Id: user.php 1492 2012-02-22 17:40:09Z joomlaworks@gmail.com $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Get user stuff (do not change)
$user = &JFactory::getUser();

// define this is grid view
define ('_IS_LAYOUT_VIEW', true);
?>

<!-- Start K2 User Layout -->

<?php if($this->params->get('show_page_title') && $this->params->get('page_title')!=$this->user->name): ?>
<!-- Page title -->
<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>

<?php if($this->params->get('userFeedIcon',1)): ?>
<!-- RSS feed icon -->
<div class="k2FeedIcon">
	<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
		<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
	</a>
</div>
<?php endif; ?>

<?php if ($this->params->get('userImage') || $this->params->get('userName') || $this->params->get('userDescription') || $this->params->get('userURL') || $this->params->get('userEmail')): ?>
<div class="userBlock">

	<?php if(isset($this->addLink) && JRequest::getInt('id')==$user->id): ?>
	<!-- Item add link -->
	<span class="userItemAddLink">
		<a class="modal" rel="{handler:'iframe',size:{x:990,y:550}}" href="<?php echo $this->addLink; ?>">
			<?php echo JText::_('K2_POST_A_NEW_ITEM'); ?>
		</a>
	</span>
	<?php endif; ?>

	<?php if ($this->params->get('userImage') && !empty($this->user->avatar)): ?>
	<img src="<?php echo $this->user->avatar; ?>" alt="<?php echo $this->user->name; ?>" style="width:<?php echo $this->params->get('userImageWidth'); ?>px; height:auto;" />
	<?php endif; ?>
	
	<?php if ($this->params->get('userName')): ?>
	<h2><?php echo $this->user->name; ?></h2>
	<?php endif; ?>
	
	<?php if ($this->params->get('userDescription') && trim($this->user->profile->description)): ?>
	<div class="userDescription"><?php echo $this->user->profile->description; ?></div>
	<?php endif; ?>
	
	<?php if (($this->params->get('userURL') && isset($this->user->profile->url) && $this->user->profile->url) || $this->params->get('userEmail')): ?>
	<div class="userAdditionalInfo">
		<?php if ($this->params->get('userURL') && isset($this->user->profile->url) && $this->user->profile->url): ?>
		<span class="userURL">
			<?php echo JText::_('K2_WEBSITE_URL'); ?>: <a href="<?php echo $this->user->profile->url; ?>" target="_blank" rel="me"><?php echo $this->user->profile->url; ?></a>
		</span>
		<?php endif; ?>

		<?php if ($this->params->get('userEmail')): ?>
		<span class="userEmail">
			<?php echo JText::_('K2_EMAIL'); ?>: <?php echo JHTML::_('Email.cloak', $this->user->email); ?>
		</span>
		<?php endif; ?>	
	</div>
	<?php endif; ?>

	<div class="clr"></div>
	
	<?php echo $this->user->event->K2UserDisplay; ?>
	
	<div class="clr"></div>
</div>
<?php endif; ?>

<div id="masonry-container" class="masonry clearfix">
<?php foreach ($this->items as $item): ?>
<?php
// get extra class from extra field of item
$xclass_key = 'Extended Classes';
$xclass = '';
if(count($item->extra_fields)) {
	$extra_fields=K2ModelItem::getItemExtraFields($item->extra_fields);
	if(!empty($extra_fields)){
		foreach ($extra_fields as $key=>$extraField) {
			if ($extraField->name == $xclass_key) {
				$xclass = $extraField->value;
				break;
			}
		}
	}
}
?>
	<div class="item <?php echo $xclass ?>">
		<div class="inner item-inner clearfix">
		
			<?php if($item->params->get('userItemImage') && !empty($item->imageGeneric)): ?>
			<!-- Item Image-->
			<div class="item-image">
				    <a class="item-link" href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
				    	<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" />
				    </a>
			</div>
			<!-- //Item Image-->
			<?php endif; ?>
			
			<!-- Item main -->
			<div class="item-main clearfix">
				<!-- Item header -->
				<div class="header item-header clearfix">
				
					<?php if($item->params->get('userItemTitle')): ?>
					<!-- Item title -->
					<h2>
						<?php if ($item->params->get('userItemTitleLinked') && $item->published): ?>
							<a href="<?php echo $item->link; ?>">
								<?php echo $item->title; ?>
							</a>
						<?php else: ?>
							<?php echo $item->title; ?>
						<?php endif; ?>
					</h2>
					<?php endif; ?>
				  
					<dl class="article-info">
						<?php if($item->params->get('tagItemCategory')): ?>
						<!-- Item category name -->
						<dd class="category-name">
							<strong><?php echo JText::_('K2_WALL_PUBLISHED_IN'); ?>: </strong>
							<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
						</dd>
						<?php endif; ?>

						<?php if($item->params->get('userItemDateCreated')): ?>
						<!-- Date created -->
						<dd class="create">
							<strong><?php echo JText::_('K2_WALL_CREATED_DATE'); ?>: </strong>
							<?php echo JHTML::_('date', $item->created, JText::_('K2_WALL_DATE_FORMAT_LC2')); ?>
						</dd>
						<?php endif; ?>

					</dl>
				
				</div>
				<!-- //Item header -->
				
				<!-- Plugins: AfterDisplayTitle -->
				<?php echo $item->event->AfterDisplayTitle; ?>

				<!-- K2 Plugins: K2AfterDisplayTitle -->
				<?php echo $item->event->K2AfterDisplayTitle; ?>
				
				<?php if($item->params->get('userItemIntroText')): ?>
				<!-- Item content -->
				<div class="content item-content">
					<!-- Plugins: BeforeDisplayContent -->
					<?php echo $item->event->BeforeDisplayContent; ?>

					<!-- K2 Plugins: K2BeforeDisplayContent -->
					<?php echo $item->event->K2BeforeDisplayContent; ?>
					
					<?php echo $item->introtext; ?>
					
					<!-- Plugins: AfterDisplayContent -->
					<?php echo $item->event->AfterDisplayContent; ?>

					<!-- K2 Plugins: K2AfterDisplayContent -->
					<?php echo $item->event->K2AfterDisplayContent; ?>
					
				</div>
				<!-- //Item content -->
				<?php endif; ?>
				
				<!-- Item footer -->
				<div class="footer item-footer clearfix">
				
					<?php if($item->params->get('userItemCommentsAnchor') && ( ($item->params->get('comments') == '2' && !$this->user->guest) || ($item->params->get('comments') == '1')) ): ?>
					<!-- Anchor link to comments below -->
					<div class="comments-link">
						<?php if(!empty($item->event->K2CommentsCounter)): ?>
							<!-- K2 Plugins: K2CommentsCounter -->
							<?php echo $item->event->K2CommentsCounter; ?>
						<?php else: ?>
							<?php if($item->numOfComments > 0): ?>
							<a href="<?php echo $item->link; ?>#itemCommentsAnchor">
								<?php echo $item->numOfComments; ?> <?php echo ($item->numOfComments>1) ? JText::_('K2_COMMENTS') : JText::_('K2_COMMENT'); ?>
							</a>
							<?php else: ?>
							<a href="<?php echo $item->link; ?>#itemCommentsAnchor">
								<strong>0 </strong><?php echo JText::_('K2_WALL_BE_THE_FIRST_TO_COMMENT'); ?>
							</a>
							<?php endif; ?>
						<?php endif; ?>
					</div>
					<?php endif; ?>
				
					<?php if ($item->params->get('tagItemReadMore')): ?>
					<p class="readmore">
						<a class="item-link" href="<?php echo $item->link; ?>">
							<?php echo JText::_('K2_READ_MORE'); ?>
						</a>
					</p>
					<?php endif; ?>
				
				</div>
				<!-- //Item footer -->
				
			</div>
			<!-- //Item main -->
			
			<!-- Plugins: AfterDisplay -->
			<?php echo $item->event->AfterDisplay; ?>

			<!-- K2 Plugins: K2AfterDisplay -->
			<?php echo $item->event->K2AfterDisplay; ?>
		
		</div>
	</div>
<?php endforeach; ?>
</div>

	<!-- Pagination -->
	<?php
			// Build the additional URL parameters string.
			$urlparams = '';
			if (!empty($this->pagination->_additionalUrlParams))
			{
				foreach ($this->pagination->_additionalUrlParams as $key => $value)
				{
					$urlparams .= '&' . $key . '=' . $value;
				}
			}
			$next = $this->pagination->get('pages.current') * $this->pagination->limit;
			$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
	?>
	<div id="page-nav">
	<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
	</div>

<!-- End K2 User Layout -->
