<?php
/**
 * @package		Joomla.Site
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
require_once dirname(__FILE__).DS.'template_tools.php';

JHtml::_('behavior.framework', true);
$app                = JFactory::getApplication();
$templateparams     = $app->getTemplate(true)->params;
$color              = $templateparams->get('templatecolor');

if(isset($_COOKIE["style"])){
    $color= $_COOKIE['style'];
}

if(isset($_GET['style'])) {
	setcookie("style", $_GET['style'], time()+36000);
	$color= $_GET['style'];
 }
if (!isset($this->error)) {
	$this->error = JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
	$this->debug = false;
}
//get language and direction
$doc = JFactory::getDocument();
$this->language = $doc->language;
$this->direction = $doc->direction;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<title><?php echo $this->error->getCode(); ?> - <?php echo $this->title; ?></title>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/ja_lens/css/error.css" type="text/css" />
	<?php if ($this->direction == 'rtl') : ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/error_rtl.css" type="text/css" />
	<?php endif; ?>
	<link href='http://fonts.googleapis.com/css?family=Pacifico' rel='stylesheet' type='text/css'>
        <!-- CUSTOM THEMES -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/themes/<?php echo $color;?>/css/theme.css" type="text/css" media="all" />
<!-- //CUSTOM THEMES -->
</head>
<body>
	<div class="error">
		<div id="outline">
			<div id="errorboxoutline">
			</div>
			<div id="errorboxheader"><?php echo $this->error->getCode(); ?> ... <?php echo $this->error->getMessage(); ?></div>
			<p class="line-through"><strong><?php echo JText::_('JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES'); ?></strong></p>
			<a id="back-home" href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a>
		</div>
	</div>
</body>
</html>
