<?php
/**
 * @version		$Id: tag.php 1492 2012-02-22 17:40:09Z joomlaworks@gmail.com $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// define this is grid view
define ('_IS_LAYOUT_VIEW', true);
jimport('joomla.application.component.model');
?>

<?php if($this->params->get('show_page_title')): ?>
<!-- Page title -->
<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>

<?php if($this->params->get('tagFeedIcon',1)): ?>
<!-- RSS feed icon -->
<div class="k2FeedIcon">
	<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
		<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
	</a>
</div>
<?php endif; ?>

<?php if(count($this->items)): ?>
	<!-- Start K2 Tag Layout -->
	<div id="masonry-container" class="masonry clearfix">	
	<?php foreach($this->items as $item): ?>
	<?php
	// get extra class from extra field of item
	$xclass_key = 'Extended Classes';
	$xclass = '';
	$itemModel = JModelLegacy::getInstance ( 'Item', 'K2Model' );
	if(count($item->extra_fields) && $itemModel) {
		$extra_fields=$itemModel->getItemExtraFields($item->extra_fields);
		if (count($extra_fields))
			foreach ($extra_fields as $key=>$extraField) {
				if ($extraField->name == $xclass_key) {
					$xclass = $extraField->value;
					break;
				}
			}
	}
	?>	
	<div class="item <?php echo $xclass ?>">
		<div class="inner item-inner clearfix">
			
			<?php if($item->params->get('tagItemImage',1) && !empty($item->imageGeneric)): ?>
			<!-- Item Image-->
			<div class="item-image">
				    <a class="item-link" href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
				    	<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" />
				    </a>
			</div>
			<!-- //Item Image-->
			<?php endif; ?>
			
			<!-- Item main -->
			<div class="item-main clearfix">
				<!-- Item header -->
				<div class="header item-header clearfix">
				
					<?php if($item->params->get('tagItemTitle',1)): ?>
					<!-- Item title -->
					<h2>
					<?php if ($item->params->get('tagItemTitleLinked',1)): ?>
						<a href="<?php echo $item->link; ?>">
						<?php echo $item->title; ?>
						</a>
					<?php else: ?>
						<?php echo $item->title; ?>
					<?php endif; ?>
					</h2>
					<?php endif; ?>
				  
					<dl class="article-info">
						<?php if($item->params->get('tagItemCategory')): ?>
						<!-- Item category name -->
						<dd class="category-name">
							<strong><?php echo JText::_('K2_WALL_PUBLISHED_IN'); ?>: </strong>
							<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
						</dd>
						<?php endif; ?>

						<?php if($item->params->get('tagItemDateCreated',1)): ?>
						<!-- Date created -->
						<dd class="create">
							<strong><?php echo JText::_('K2_WALL_CREATED_DATE'); ?>: </strong>
							<?php echo JHTML::_('date', $item->created, JText::_('K2_WALL_DATE_FORMAT_LC2')); ?>
						</dd>
						<?php endif; ?>

					</dl>
				
				</div>
				<!-- //Item header -->
			
				<?php if($item->params->get('tagItemIntroText',1)): ?>
				<!-- Item content -->
				<div class="content item-content">
					<?php echo $item->introtext; ?>
				</div>
				<!-- //Item content -->
				<?php endif; ?>
				
				<!-- Item footer -->
				<div class="footer item-footer clearfix">
				
					<?php if ($item->params->get('tagItemReadMore')): ?>
					<p class="readmore">
						<a class="item-link" href="<?php echo $item->link; ?>">
							<?php echo JText::_('K2_READ_MORE'); ?>
						</a>
					</p>
					<?php endif; ?>
				
				</div>
				<!-- //Item footer -->
			
			</div>
			<!-- //Item main -->
		
		</div>
	</div>
	<?php endforeach; ?>
	</div>

	<!-- Pagination -->
	<?php
			// Build the additional URL parameters string.
			$urlparams = '';
			if (!empty($this->pagination->_additionalUrlParams))
			{
				foreach ($this->pagination->_additionalUrlParams as $key => $value)
				{
					$urlparams .= '&' . $key . '=' . $value;
				}
			}
			$next = $this->pagination->get('pages.current') * $this->pagination->limit;
			$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
	?>
	<div id="page-nav">
	<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
	</div>
	
	<!-- End K2 Tag Layout -->
<?php endif; ?>
