<?php
/**
 * @version		$Id: generic.php 1492 2012-02-22 17:40:09Z joomlaworks@gmail.com $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// define this is grid view
define ('_IS_LAYOUT_VIEW', true);
// get extra class from extra field of item

?>

<!-- Start K2 Generic (search/date) Layout -->
<div id="k2Container" class="genericView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">

	<?php if($this->params->get('show_page_title')): ?>
	<!-- Page title -->
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
	<?php endif; ?>

	<?php if($this->params->get('genericFeedIcon',1)): ?>
	<!-- RSS feed icon -->
	<div class="k2FeedIcon">
		<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>

	<?php if(count($this->items)): ?>
	<div class="genericItemList">
		<div id="masonry-container" class="masonry clearfix">
			<?php if (count($this->items) > 0) : ?>
			<?php 
				$year = date('Y', strtotime($this->items[0]->created));
				$ycount = count($this->items);
			?>
			<div class="item item-timeline year-<?php echo $year; ?>">
				<div class="inner item-inner clearfix">
					<h2><?php echo $year; ?></h2>
					<p>Have <?php echo $ycount; echo ' item'; echo $ycount > 1 ? 's' : ''; ?></p>
				</div>
				<input class="year-<?php echo $year; ?>" type="hidden" value="<?php echo $ycount;?>" />
			</div>
			<?php endif; ?>
			
			<?php foreach($this->items as $item): ?>
			<?php 
				$xclass_key = 'Extended Classes';
				$xclass = '';
				if(count($item->extra_fields)) {
					$extra_fields=K2ModelItem::getItemExtraFields($item->extra_fields);
					if (count($extra_fields)) {
						foreach ($extra_fields as $key=>$extraField) {
							if ($extraField->name == $xclass_key) {
								$xclass = $extraField->value;
								break;
							}
						}
					}
				}

				// build intro images
				// if intro images exists in $images, use it
				// if not, get images from intro content
				// if not, get from full image in $images
				if (empty($item->image)) {
					$regex = '#(<img[^>]*>)#i';
					if (preg_match ($regex, $item->introtext, $match)) {
						$image = $match[1];
						// get img src
						$regex = '#\s+src\s*=\s*(["\'])([^\'"]+)\1[\s\/>]#i';
						if (preg_match ($regex, $image, $match)) {
							$item->image = $match[2];
						}
						// get img caption
						$item->image_caption = '';
						$regex = '#\salt\s*=\s*(["\'])([^\'"]+)\1[\s\/>]#i';
						if (preg_match ($regex, $image, $match)) {
							$item->image_caption = $match[2];
						}
					}	
				}
				// build intro content
				// get the first paragraph in introtext, trip tags (keep a, strong, br, b...)
				$introtext = '';
				// get first paragraph
				$regex = '#<p[^>]*>(.*)</p>#i';
				if (preg_match ($regex, $item->introtext, $match)) {
					$introtext = $match[1];
				} else {
					$introtext = $item->introtext;
				}
				// trip tag
				$introtext = '<p>'.strip_tags ($introtext, '<a><b><strong><br>').'</p>';
			?>
			<!-- Start K2 Item Layout -->
			<div class="genericItemView item <?php echo $xclass ?>">
			<div class="inner item-inner clearfix">
				<?php if($item->params->get('genericItemImage') && !empty($item->imageGeneric)): ?>
			  <!-- Item Image -->
			  <div class="genericItemImageBlock item-image">
				  <span class="genericItemImage">
					<a class="item-link" href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
						<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" style="width:<?php echo $item->params->get('itemImageGeneric'); ?>px; height:auto;" />
					</a>
				  </span>
				  <div class="clr"></div>
			  </div>
			  <?php endif; ?>
			  <div class="item-main clearfix">
					<div class="genericItemHeader header item-header clearfix">
						<?php if($item->params->get('genericItemDateCreated')): ?>
						<!-- Date created -->
						<span class="genericItemDateCreated">
							<?php echo JHTML::_('date', $item->created , JText::_('K2_DATE_FORMAT_LC2')); ?>
						</span>
						<?php endif; ?>
					
					  <?php if($item->params->get('genericItemTitle')): ?>
					  <!-- Item title -->
					  <h2 class="genericItemTitle">
						<?php if ($item->params->get('genericItemTitleLinked')): ?>
							<a class="item-link" href="<?php echo $item->link; ?>">
							<?php echo $item->title; ?>
						</a>
						<?php else: ?>
						<?php echo $item->title; ?>
						<?php endif; ?>
					  </h2>
					  <?php endif; ?>
				  </div>
		
				  <div class="genericItemBody content item-content">
					  <?php if($item->params->get('genericItemIntroText')): ?>
					  <!-- Item introtext -->
					  <div class="genericItemIntroText">
						<?php echo $item->introtext; ?>
					  </div>
					  <?php endif; ?>
		
					  <div class="clr"></div>
				  </div>
				  
				  <div class="clr"></div>
				  
				  <?php if($item->params->get('genericItemExtraFields') && count($item->extra_fields)): ?>
				  <!-- Item extra fields -->  
				  <div class="genericItemExtraFields">
					<h4><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></h4>
					<ul>
						<?php foreach ($item->extra_fields as $key=>$extraField): ?>
						<?php if($extraField->value): ?>
						<li class="<?php echo ($key%2) ? "odd" : "even"; ?> type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
							<span class="genericItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
							<span class="genericItemExtraFieldsValue"><?php echo $extraField->value; ?></span>		
						</li>
						<?php endif; ?>
						<?php endforeach; ?>
						</ul>
					<div class="clr"></div>
				  </div>
				  <?php endif; ?>
				  
					<?php if($item->params->get('genericItemCategory')): ?>
					<!-- Item category name -->
					<div class="genericItemCategory">
						<span><?php echo JText::_('K2_PUBLISHED_IN'); ?></span>
						<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
					</div>
					<?php endif; ?>
					<div class="footer item-footer clearfix">
						<?php if ($item->params->get('genericItemReadMore')): ?>
						<!-- Item "read more..." link -->
						<div class="genericItemReadMore">
							<a class="k2ReadMore item-link" href="<?php echo $item->link; ?>">
								<?php echo JText::_('K2_READ_MORE'); ?>
							</a>
						</div>
						<?php endif; ?>
					</div>
					<div class="clr"></div>
				</div>
			</div>
			</div>
		<!-- End K2 Item Layout -->
		
		<?php endforeach; ?>
	</div>
	</div>
	<!-- Pagination -->
	<!-- Pagination -->
	<?php
			// Build the additional URL parameters string.
			$urlparams = '';
			if (!empty($this->pagination->_additionalUrlParams))
			{
				foreach ($this->pagination->_additionalUrlParams as $key => $value)
				{
					$urlparams .= '&' . $key . '=' . $value;
				}
			}
			$next = $this->pagination->get('pages.current') * $this->pagination->limit;
			$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
	?>
	<div id="page-nav">
	<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
	</div>
	
	<?php endif; ?>
	
</div>
<!-- End K2 Generic (search/date) Layout -->
