<?php
function jaTpl_getBodyClass () {
	$app	= JFactory::getApplication();
	$menus	= $app->getMenu();
	$tmpl	= JFactory::getDocument();
	$cls	= '';
	// check if home
	if (($menu = $menus->getActive())) {
		if ($menu->home) {
			$cls .= ' bd-home';
		}
	}
	// check view
	if (jaTpl_check('islayoutview')) {
		$cls .= ' layoutview';
	}
	
	// check has right
	if (jaTpl_check('hasRight')) {
		$cls .= ' has-right';
	}
   
	if (JRequest::getCmd( 'option' ) == 'com_k2') {
		
		$cls .= ' k2-component';
	}
	
	// check extended parameter in menu item
	if (($menu && $menu->params->get ('jalens_preview') == 'no') || ($menu && !$menu->params->get ('jalens_preview') && $tmpl->params->get('jalens_preview') == 'no') || (!$menu && $tmpl->params->get('jalens_preview') == 'no')) {
		$cls .= ' no-preview';
	}

	if ($menu && $menu->params->get ('jalens_display')) {
		$cls .= ' fixed-display display-'.$menu->params->get ('jalens_display');
	}	
	return trim ($cls);
}

/**
 * Check if show right modules
 * right is available when 
 * 	- not in grid-view
 * 	- has modules in right position
 */
function jaTpl_hasRight () {
	if (jaTpl_check ('islayoutview')) return false;
	if (jaContentEdit()) return false;
	$doc			= JFactory::getDocument();
	if (!$doc->countModules(_RIGHT_POS) ) {
		return false;
	}
	return true;
}

function jaTpl_islayoutview () {
	// check if defined in component
	if (defined('_IS_LAYOUT_VIEW')) return true;

	if(JFactory::getApplication()->getParams()->get('theme') == 'ja_lens' && JRequest::getVar('view') == 'itemlist'){
		return true;
	}
	/*
	// check view for com_content
	if (JRequest::getVar('option') == 'com_content' && JRequest::getVar('layout') == 'blog') {
		return true;
	}
	*/
	return false;
}

function jaTpl_check ($condition) {
	static $conditions = array();
	if (isset ($conditions[$condition])) return $conditions[$condition];
	if (function_exists ('jaTpl_'.$condition)) {
		$f = 'jaTpl_'.$condition;
		$conditions[$condition] = $f ();
		return $conditions[$condition];
	}
	return false;
}

function jaContentEdit()  {
        return (JRequest::getCmd('option') == 'com_content' && ((JRequest::getCmd('view') == 'article' && (JRequest::getCmd('task') == 'edit' || JRequest::getCmd('layout') == 'form')) || (JRequest::getCmd('view') == 'form' && JRequest::getCmd('layout') == 'edit')));
}

function jaTpl_isOP () {
		return isset($_SERVER['HTTP_USER_AGENT']) &&
			preg_match('/opera/i',$_SERVER['HTTP_USER_AGENT']);
	}

function jaTpl_calSpotlight ($spotlight, $totalwidth=100, $specialwidth=0, $special='left') {

		/********************************************
		$spotlight = array ('position1', 'position2',...)
		*********************************************/
		$modules = array();
		$modules_s = array();
		foreach ($spotlight as $position) {
			$doc			= JFactory::getDocument();
			if( $doc->countModules ($position) ){
				$modules_s[] = $position;
			}
			$modules[$position] = array('class'=>'-full','width'=>$totalwidth.'%');
		}

		if (!count($modules_s)) return null;
		if ($specialwidth) {
			if (count($modules_s)>1) {
				$width = round(($totalwidth-$specialwidth)/(count($modules_s)-1),1) . "%";
				$specialwidth = $specialwidth . "%";
			}else{
				$specialwidth = $totalwidth . "%";
			}
		}else{
			$width = (round($totalwidth/(count($modules_s)),2)) . "%";
			$specialwidth = $width;
		}

		if (count ($modules_s) > 1){
			$modules[$modules_s[0]]['class'] = "-left";
			$modules[$modules_s[0]]['width'] = ($special=='left')?$specialwidth:$width;
			$modules[$modules_s[count ($modules_s) - 1]]['class'] = "-right";
			$modules[$modules_s[count ($modules_s) - 1]]['width'] = ($special=='right')?$specialwidth:$width;
			for ($i=1; $i<count ($modules_s) - 1; $i++){
				$modules[$modules_s[$i]]['class'] = "-center";
				$modules[$modules_s[$i]]['width'] = $width;
			}
		}
		return $modules;
	}