<?php 
/**
 * @version		$Id: archive.php 1492 2012-02-22 17:40:09Z joomlaworks@gmail.com $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

//define all months text
$monthtext = array(JText::_('K2_JANUARY'), JText::_('K2_FEBRUARY'), JText::_('K2_MARCH'), JText::_('K2_APRIL'), JText::_('K2_MAY'), JText::_('K2_JUNE'), JText::_('K2_JULY'), JText::_('K2_AUGUST'), JText::_('K2_SEPTEMBER'), JText::_('K2_OCTOBER'), JText::_('K2_NOVEMBER'), JText::_('K2_DECEMBER') );

//how many years
$years = array();

//if we have something
if(count($months) > 0){
	foreach($months as $month){
		if(!in_array($month->y, $years)){
			array_push($years, $month->y);;
		}
	}
} else {
	//no data, add a dummy year
	array_push($years, date('Y'));
}

// all list year
$yearinfos = array();

foreach($months as $month){
	if(!isset($yearinfos[$month->y])){
		$yearinfos[$month->y] = array();
	}
	
	array_push($yearinfos[$month->y], $month);
}

function monthcompare($a, $b){
	if ($a->m == $b->m) {
        return 0;
    }
    return ($a->m < $b->m) ? -1 : 1;
}

foreach($yearinfos as $year => &$info){
	$monthnums = array(1 => 0, 2 => 0, 3 => 0, 4 => 0, 5 => 0, 6 => 0, 7 => 0, 8 => 0, 9 => 0, 10 => 0, 11 => 0, 12 => 0);
	
	foreach($info as $month){
		$monthnums[$month->m] = 1;
	}	
	
	for($i = 1; $i <= 12; $i++){
		if($monthnums[$i] == 0){
			$ninfo = new stdClass;
			$ninfo->m = $i;
			$ninfo->y = $year;
			$ninfo->numOfItems = 0;
			$ninfo->name = $monthtext[$i -1];
			array_push($info, $ninfo);
		}
	}
	
	uasort($info, 'monthcompare');
}

$style = -1;
$displayCount = $params->get('display_counter');
$itemid = JRequest::getInt('Itemid');
if(!isset($itemid)){
	$itemid = JSite::getMenu()->getDefault()->id;
}
?>
<div id="k2ModuleBox<?php echo $module->id; ?>" class="k2ArchivesBlock<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">
	<div class="k2-timeline-nav">
		<a href="javascript:;" class="timeline-prev" title="Previous"></a>
		<a href="javascript:;" class="timeline-next" title="Next"></a>
	</div>
	<dl class="k2-timeline">
		<?php
		foreach($yearinfos as $year => $yinfo):
			$style++;
		?>
		<dt style="display: <?php echo $style == 0 ? 'block' : 'none'; ?>"><?php echo $year; ?></dt>
		<dd style="display: <?php echo $style == 0 ? 'block' : 'none'; ?>">
			<ul>
				<?php
				foreach ($yinfo as $month):
				?>
				<li <?php if($month->numOfItems <= 0 && $displayCount) { echo ' class="inactive"'; }?>>
					<?php if ($params->get('archiveCategory', 0) > 0): ?>
					<a href="<?php if($month->numOfItems <= 0 && $displayCount) { echo 'javascript:;'; } else { echo JRoute::_('index.php?option=com_k2&view=itemlist&task=date&month='.$month->m.'&year='.$month->y.'&catid='.$params->get('archiveCategory').'&Itemid='.$itemid); } ?>"><?php echo $month->name.' <span>'.$month->y.'</span> '; ?>
						<?php 
						if ($month->numOfItems > 0):
						?>
						<span class="archiveItemsCounter"><?php if ($displayCount) echo $month->numOfItems; ?></span>
						<?php
						endif;
						?>
					</a>
					<?php else: ?>
					<a href="<?php if($month->numOfItems <= 0 && $displayCount) { echo 'javascript:;'; } else { echo JRoute::_('index.php?option=com_k2&view=itemlist&task=date&month='.$month->m.'&year='.$month->y.'&Itemid='.$itemid); } ?>"><?php echo $month->name.'<span> '.$month->y.'</span>'; ?>
						<?php 
						if ($month->numOfItems > 0):
						?>
						<span class="archiveItemsCounter"><?php if ($displayCount) echo $month->numOfItems; ?></span>
						<?php
						endif;
						?>
					</a>
					<?php endif; ?>
				</li>
				<?php endforeach; ?>
			</ul>
		</dd>
		<?php
		endforeach;
		?>
	</dl>
</div>
<script type="text/javascript">
	//<![CDATA[
	jQuery(document).ready(function($){
		if(!$.fn.timelinetab){
			$.fn.timelinetab = function(){
				return this.each(function(){
					var jcontainer = $(this),
						jtimeline = jcontainer.find('.k2-timeline:first'),
						jheads = jtimeline.children('dt'),
						jcontents = jtimeline.children('dd'),
						jprev = jcontainer.find('.timeline-prev:first'),
						jnext = jcontainer.find('.timeline-next:first'),
						length = jheads.length,
						index = 0;
						
					jprev.click(function(){
						index--;
						if(index < 0){
							index = length - 1;
						}
						
						jheads.css('display', 'none').eq(index).css('display', 'block');
						jcontents.css('display', 'none').eq(index).css('display', 'block');
					});
					
					jnext.click(function(){
						index++;
						if(index > length - 1){
							index = 0;
						}
						
						jheads.css('display', 'none').eq(index).css('display', 'block');
						jcontents.css('display', 'none').eq(index).css('display', 'block');
					});
					
					jheads.css('display', 'none').eq(index).css('display', 'block');
					jcontents.css('display', 'none').eq(index).css('display', 'block');
				});
			}
		}
		
		$('#k2ModuleBox<?php echo $module->id; ?>').timelinetab();
	});
	//]]>
</script>
